gkreidl
Posts: 5998
Joined: Thu Jan 26, 2012 1:07 pm
Location: Germany

Collbora web repo breaks gtk2 webkit

Tue Dec 24, 2013 6:03 pm

Mod note: I split this from http://www.raspberrypi.org/phpBB3/viewt ... 63&t=64215 --plugwash
andrum99 wrote:I've just tested this with the new web browser called "web" that the foundation has just released - seems to co-exist quite happily - yay!
Does Midori still work on your system after running the upgrades from collabora? I'm interested in what will happen to other webkit based programs, when the current webkit and other) libraries are replaced.
Minimal Kiosk Browser (kweb)
Slim, fast webkit browser with support for audio+video+playlists+youtube+pdf+download
Optional fullscreen kiosk mode and command interface for embedded applications
Includes omxplayerGUI, an X front end for omxplayer

andrum99
Posts: 708
Joined: Fri Jul 20, 2012 2:41 pm

Re: Experimental enhanced X driver (rpifb)

Wed Dec 25, 2013 6:49 am

gkreidl wrote:Does Midori still work on your system after running the upgrades from collabora? I'm interested in what will happen to other webkit based programs, when the current webkit and other) libraries are replaced.
In order to test this I took a freshly installed Pi with the new raspbian from 24/12/2013 on it, added collabora's new "web" repository, then did an apt-get update and upgrade. This replaced quite a lot of stuff. Midori then refused to start. Launching midori from the command line tells me:

Code: Select all

midori: error while loading shared libraries: libwebkitgtk-1.0.so.0: cannot open shared object file: No such file or directory
Note: that's without installing "web". It seems the upgrade deleted libwebkitgtk-1.0 for some reason.

andrum99
Posts: 708
Joined: Fri Jul 20, 2012 2:41 pm

Experimental enhanced X driver (rpifb)

Wed Dec 25, 2013 6:59 am

I did some more digging. It seems moving aside these files before the upgrade, then moving them back in position keeps midori happy:

/usr/lib/libwebkitgtk-1.0.so.0
/usr/lib/libjavascriptcoregtk-1.0.so.0

Note: these are both symlinks to the real library, which has the same filename only with a version on the end. I just used plain cp without any options, which copied the symlink target. The upgrade itself blows away both the libraries and the symlinks.

Now to test with "web" installed.

andrum99
Posts: 708
Joined: Fri Jul 20, 2012 2:41 pm

Re: Experimental enhanced X driver (rpifb)

Wed Dec 25, 2013 7:15 am

Installed "web" as instructed in Liz's blog post. Midori and "web" now seem to be co-existing peacefully!

gkreidl
Posts: 5998
Joined: Thu Jan 26, 2012 1:07 pm
Location: Germany

Re: Experimental enhanced X driver (rpifb)

Wed Dec 25, 2013 8:38 am

Thanks,

that means, that my Minimal Kiosk Browser also won't work. And I'm quite sure, that lots of other applications won't run any more.

Really a lot of packages are updated to new versions, including gtk+-3.0 and this may break a lot of dependencies. This is like a partial update to Jessie without updating the rest and may break lots of things.

Copying symlinks and files around is not a solution; it worked in your situation, but how many more files will have to be moved if more stuff is installed on a system?

In my system it wanted to remove 32 packages (all dev packages needed for compiling), so I stopped it. And here's the list of packages to be upgraded:

Code: Select all

gir1.2-atk-1.0 (Version 2.4.0-2) wird auf die Version 2.8.0-2rpi1 aktualisiert
gir1.2-freedesktop (Version 1.32.1-1) wird auf die Version 1.36.0-2rpi1 aktualisiert
gir1.2-gdkpixbuf-2.0 (Version 2.26.1-1) wird auf die Version 2.28.2-1rpi1 aktualisiert
gir1.2-glib-2.0 (Version 1.32.1-1) wird auf die Version 1.36.0-2rpi1 aktualisiert
gir1.2-gstreamer-1.0 (Version 1.0.10-1) wird auf die Version 1.2.0-1rpi2 aktualisiert
gir1.2-gtk-3.0 (Version 3.4.2-7) wird auf die Version 3.10.2-1+rpi2rpi1 aktualisiert
gir1.2-javascriptcoregtk-1.0 (Version 1.8.1-3.4+rpi1) wird auf die Version 2.1.4-0rpi1rpi1 aktualisiert
gir1.2-javascriptcoregtk-3.0 (Version 1.8.1-3.4+rpi1) wird auf die Version 2.1.4-0rpi1rpi1 aktualisiert
gir1.2-pango-1.0 (Version 1.30.0-1) wird auf die Version 1.32.5-5rpi1 aktualisiert
gir1.2-soup-2.4 (Version 2.38.1-2) wird auf die Version 2.42.2-6rpi1 aktualisiert
gir1.2-webkit-1.0 (Version 1.8.1-3.4+rpi1) wird auf die Version 2.1.4-0rpi1rpi1 aktualisiert
gir1.2-webkit-3.0 (Version 1.8.1-3.4+rpi1) wird auf die Version 2.1.4-0rpi1rpi1 aktualisiert
glib-networking (Version 2.32.3-1) wird auf die Version 2.36.1-2+rpi1rpi1 aktualisiert
glib-networking-common (Version 2.32.3-1) wird auf die Version 2.36.1-2+rpi1rpi1 aktualisiert
glib-networking-services (Version 2.32.3-1) wird auf die Version 2.36.1-2+rpi1rpi1 aktualisiert
gnome-accessibility-themes (Version 3.4.2-2.1) wird auf die Version 3.9.91+557c2ba-rpi2rpi1 aktualisiert
gnome-themes-standard (Version 3.4.2-2.1) wird auf die Version 3.9.91+557c2ba-rpi2rpi1 aktualisiert
gnome-themes-standard-data (Version 3.4.2-2.1) wird auf die Version 3.9.91+557c2ba-rpi2rpi1 aktualisiert
gstreamer1.0-alsa (Version 1.0.10-1) wird auf die Version 1.2.0-1co1rpi1 aktualisiert
gstreamer1.0-omx (Version 1.0.0+20130802git09f5eb9-1) wird auf die Version 1.0.0.1-0+rpi3rpi4 aktualisiert
gstreamer1.0-plugins-bad (Version 1.0.10-2) wird auf die Version 1.2.1-0+rpi1rpi1 aktualisiert
gstreamer1.0-plugins-bad-dbg (Version 1.0.10-2) wird auf die Version 1.2.1-0+rpi1rpi1 aktualisiert
gstreamer1.0-plugins-base (Version 1.0.10-1) wird auf die Version 1.2.0-1co1rpi1 aktualisiert
gstreamer1.0-plugins-good (Version 1.0.10-1) wird auf die Version 1.2.0-1co2rpi1 aktualisiert
gstreamer1.0-tools (Version 1.0.10-1) wird auf die Version 1.2.0-1rpi2 aktualisiert
gstreamer1.0-x (Version 1.0.10-1) wird auf die Version 1.2.0-1co1rpi1 aktualisiert
libatk1.0-0 (Version 2.4.0-2) wird auf die Version 2.8.0-2rpi1 aktualisiert
libatk1.0-data (Version 2.4.0-2) wird auf die Version 2.8.0-2rpi1 aktualisiert
libav-tools (Version 6:0.8.6-1+rpi1) wird auf die Version 6:9.8-1rpi1 aktualisiert
libavcodec-dev (Version 6:0.8.6-1+rpi1) wird auf die Version 6:9.8-1rpi1 aktualisiert
libavdevice53 (Version 6:0.8.6-1+rpi1) wird auf die Version 6:9.8-1rpi1 aktualisiert
libavformat-dev (Version 6:0.8.6-1+rpi1) wird auf die Version 6:9.8-1rpi1 aktualisiert
libavutil-dev (Version 6:0.8.6-1+rpi1) wird auf die Version 6:9.8-1rpi1 aktualisiert
libcairo-gobject2 (Version 1.12.2-3) wird auf die Version 1.12.14-5co1rpi1 aktualisiert
libcairo-script-interpreter2 (Version 1.12.2-3) wird auf die Version 1.12.14-5co1rpi1 aktualisiert
libcairo2 (Version 1.12.2-3) wird auf die Version 1.12.14-5co1rpi1 aktualisiert
libgail-3-0 (Version 3.4.2-7) wird auf die Version 3.10.2-1+rpi2rpi1 aktualisiert
libgdk-pixbuf2.0-0 (Version 2.26.1-1) wird auf die Version 2.28.2-1rpi1 aktualisiert
libgdk-pixbuf2.0-common (Version 2.26.1-1) wird auf die Version 2.28.2-1rpi1 aktualisiert
libgirepository-1.0-1 (Version 1.32.1-1) wird auf die Version 1.36.0-2rpi1 aktualisiert
libglib2.0-0 (Version 2.33.12+really2.32.4-5) wird auf die Version 2.37.5-1rpi1rpi1 aktualisiert
libglib2.0-0-dbg (Version 2.33.12+really2.32.4-5) wird auf die Version 2.37.5-1rpi1rpi1 aktualisiert
libglib2.0-0-refdbg (Version 2.33.12+really2.32.4-5) wird auf die Version 2.37.5-1rpi1rpi1 aktualisiert
libglib2.0-bin (Version 2.33.12+really2.32.4-5) wird auf die Version 2.37.5-1rpi1rpi1 aktualisiert
libglib2.0-data (Version 2.33.12+really2.32.4-5) wird auf die Version 2.37.5-1rpi1rpi1 aktualisiert
libgstreamer-plugins-bad1.0-0 (Version 1.0.10-2) wird auf die Version 1.2.1-0+rpi1rpi1 aktualisiert
libgstreamer-plugins-base1.0-0 (Version 1.0.10-1) wird auf die Version 1.2.0-1co1rpi1 aktualisiert
libgstreamer1.0-0 (Version 1.0.10-1) wird auf die Version 1.2.0-1rpi2 aktualisiert
libgstreamer1.0-0-dbg (Version 1.0.10-1) wird auf die Version 1.2.0-1rpi2 aktualisiert
libgtk-3-0 (Version 3.4.2-7) wird auf die Version 3.10.2-1+rpi2rpi1 aktualisiert
libgtk-3-bin (Version 3.4.2-7) wird auf die Version 3.10.2-1+rpi2rpi1 aktualisiert
libgtk-3-common (Version 3.4.2-7) wird auf die Version 3.10.2-1+rpi2rpi1 aktualisiert
libjavascriptcoregtk-1.0-0 (Version 1.8.1-3.4+rpi1) wird auf die Version 2.1.4-0rpi1rpi1 aktualisiert
libjavascriptcoregtk-1.0-dev (Version 1.8.1-3.4+rpi1) wird auf die Version 2.1.4-0rpi1rpi1 aktualisiert
libjavascriptcoregtk-3.0-0 (Version 1.8.1-3.4+rpi1) wird auf die Version 2.1.4-0rpi1rpi1 aktualisiert
libjavascriptcoregtk-3.0-dev (Version 1.8.1-3.4+rpi1) wird auf die Version 2.1.4-0rpi1rpi1 aktualisiert
libopencv-calib3d-dev (Version 2.3.1-11) wird auf die Version 2.4.1+dfsg-0exp2rpi1 aktualisiert
libopencv-core-dev (Version 2.3.1-11) wird auf die Version 2.4.1+dfsg-0exp2rpi1 aktualisiert
libopencv-features2d-dev (Version 2.3.1-11) wird auf die Version 2.4.1+dfsg-0exp2rpi1 aktualisiert
libopencv-flann-dev (Version 2.3.1-11) wird auf die Version 2.4.1+dfsg-0exp2rpi1 aktualisiert
libopencv-imgproc-dev (Version 2.3.1-11) wird auf die Version 2.4.1+dfsg-0exp2rpi1 aktualisiert
libopencv-ml-dev (Version 2.3.1-11) wird auf die Version 2.4.1+dfsg-0exp2rpi1 aktualisiert
libopencv-video-dev (Version 2.3.1-11) wird auf die Version 2.4.1+dfsg-0exp2rpi1 aktualisiert
libopus-dev (Version 0.9.14+20120615-1+nmu1) wird auf die Version 1.1~beta-3rpi1 aktualisiert
libopus0 (Version 0.9.14+20120615-1+nmu1) wird auf die Version 1.1~beta-3rpi1 aktualisiert
liborc-0.4-0 (Version 1:0.4.17-1) wird auf die Version 1:0.4.18-1rpi1 aktualisiert
liborc-0.4-dev (Version 1:0.4.17-1) wird auf die Version 1:0.4.18-1rpi1 aktualisiert
libpango1.0-0 (Version 1.30.0-1) wird auf die Version 1.32.5-5rpi1 aktualisiert
libsoup-gnome2.4-1 (Version 2.38.1-2) wird auf die Version 2.42.2-6rpi1 aktualisiert
libsoup2.4-1 (Version 2.38.1-2) wird auf die Version 2.42.2-6rpi1 aktualisiert
libswscale-dev (Version 6:0.8.6-1+rpi1) wird auf die Version 6:9.8-1rpi1 aktualisiert
libswscale2 (Version 6:0.8.6-1+rpi1) wird auf die Version 6:9.8-1rpi1 aktualisiert
libva-dev (Version 1.0.15-4) wird auf die Version 1.1.1-3rpi1 aktualisiert
libva-egl1 (Version 1.0.15-4) wird auf die Version 1.1.1-3rpi1 aktualisiert
libva-glx1 (Version 1.0.15-4) wird auf die Version 1.1.1-3rpi1 aktualisiert
libva-tpi1 (Version 1.0.15-4) wird auf die Version 1.1.1-3rpi1 aktualisiert
libva-x11-1 (Version 1.0.15-4) wird auf die Version 1.1.1-3rpi1 aktualisiert
libva1 (Version 1.0.15-4) wird auf die Version 1.1.1-3rpi1 aktualisiert
How many more applications will be broken after doing that (or at least need recompiling)?
Minimal Kiosk Browser (kweb)
Slim, fast webkit browser with support for audio+video+playlists+youtube+pdf+download
Optional fullscreen kiosk mode and command interface for embedded applications
Includes omxplayerGUI, an X front end for omxplayer

portets
Posts: 186
Joined: Sat Oct 29, 2011 6:24 am

Re: Experimental enhanced X driver (rpifb)

Wed Dec 25, 2013 11:27 am

edit: Disregard this post, wrong thread. Maybe the thread split mixed me up.

Will this also speed up XWayland?

Just wondering if this work is forward-compatible.
Last edited by portets on Thu Dec 26, 2013 6:54 am, edited 2 times in total.

plugwash
Forum Moderator
Forum Moderator
Posts: 3435
Joined: Wed Dec 28, 2011 11:45 pm

Re: Experimental enhanced X driver (rpifb)

Wed Dec 25, 2013 12:47 pm

andrum99 wrote:I did some more digging. It seems moving aside these files before the upgrade, then moving them back in position keeps midori happy:

/usr/lib/libwebkitgtk-1.0.so.0
/usr/lib/libjavascriptcoregtk-1.0.so.0

Note: these are both symlinks to the real library, which has the same filename only with a version on the end. I just used plain cp without any options, which copied the symlink target. The upgrade itself blows away both the libraries and the symlinks.

Now to test with "web" installed.
It seems the collabora guys are shipping a broken libwebkitgtk-1.0-0 package, i've emailed them about it.

A less messy soloution is to downgrade (or not upgrade in the first place) libwebkitgtk-1.0-0 and libjavascriptcoregtk-1.0-0 to the raspbian versions and use apt pinnging to hold them at the raspbian version. It seems that the raspbian libwebkitgtk-1.0-0/libjavascriptcoregtk-1.0-0 can be installed alongside the collabora libwebkitgtk-3.0-0 and libjavascriptcoregtk-3.0-0

asb
Forum Moderator
Forum Moderator
Posts: 853
Joined: Fri Sep 16, 2011 7:16 pm
Contact: Website

Re: Experimental enhanced X driver (rpifb)

Wed Dec 25, 2013 12:53 pm

With my mod hat on for a minute, could we move further discussion about issues with the new Collabora/RPi browser packaging etc to a new topic, to keep this one focused on fbturbo. Thanks.

gkreidl
Posts: 5998
Joined: Thu Jan 26, 2012 1:07 pm
Location: Germany

Re: Experimental enhanced X driver (rpifb)

Wed Dec 25, 2013 1:20 pm

plugwash wrote: A less messy soloution is to downgrade (or not upgrade in the first place) libwebkitgtk-1.0-0 and libjavascriptcoregtk-1.0-0 to the raspbian versions and use apt pinnging to hold them at the raspbian version. It seems that the raspbian libwebkitgtk-1.0-0/libjavascriptcoregtk-1.0-0 can be installed alongside the collabora libwebkitgtk-3.0-0 and libjavascriptcoregtk-3.0-0
I just ported Minimal Kiosk Browser to gtk+3, so I'm using libwebkitgtk-3.0-0 now. So the new version might have problems, too.

@asb: Sorry, but I had to answer once more.
Minimal Kiosk Browser (kweb)
Slim, fast webkit browser with support for audio+video+playlists+youtube+pdf+download
Optional fullscreen kiosk mode and command interface for embedded applications
Includes omxplayerGUI, an X front end for omxplayer

jamesh
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 23083
Joined: Sat Jul 30, 2011 7:41 pm

Re: Collbora web repo breaks gtk2 webkit

Thu Dec 26, 2013 6:43 pm

I think its worth reiterating - this is an early beta, probably actually alpha. So please don't expect everything to work swimmingly at this point.

If the same things happen on a release candidate, you can shout as much as you like!
Principal Software Engineer at Raspberry Pi (Trading) Ltd.
Contrary to popular belief, humorous signatures are allowed. Here's an example...
"My grief counseller just died, luckily, he was so good, I didn't care."

gkreidl
Posts: 5998
Joined: Thu Jan 26, 2012 1:07 pm
Location: Germany

Re: Collbora web repo breaks gtk2 webkit

Thu Dec 26, 2013 10:41 pm

jamesh wrote:I think its worth reiterating - this is an early beta, probably actually alpha. So please don't expect everything to work swimmingly at this point.

If the same things happen on a release candidate, you can shout as much as you like!
James, I think we are misunderstanding each other here: I don't complain about the quality of a new early release web browser, which I have not even tested yet myself.

But if people test it by adding the collabora repo to their sources, as they are told to do, and running update & upgrade, they do not simply get a new beta release of a browser (nothing to say against that), but a large number of packages on their Raspbian system are updated to newer versions that might not be compatible with the stable debian wheezy release, on which Raspbian is based, and that may break a lot of other software that was working until now. And nobody seems to be aware of that problem and nobody has warned people about the consequences.

On my system, 85 packages would have been upgraded and 32 would have been removed completely.
Minimal Kiosk Browser (kweb)
Slim, fast webkit browser with support for audio+video+playlists+youtube+pdf+download
Optional fullscreen kiosk mode and command interface for embedded applications
Includes omxplayerGUI, an X front end for omxplayer

plugwash
Forum Moderator
Forum Moderator
Posts: 3435
Joined: Wed Dec 28, 2011 11:45 pm

Re: Collbora web repo breaks gtk2 webkit

Thu Dec 26, 2013 11:58 pm

gkreidl wrote: But if people test it by adding the collabora repo to their sources, as they are told to do, and running update & upgrade, they do not simply get a new beta release of a browser (nothing to say against that), but a large number of packages on their Raspbian system are updated to newer versions that might not be compatible with the stable debian wheezy release, on which Raspbian is based,
Or may just be plain broken.
and that may break a lot of other software that was working until now.
And the only way we are going to find out what breaks is for people to try it :/
And nobody seems to be aware of that problem and nobody has warned people about the consequences.
Well the news post does now say

"Update: Several commenters note that installing this beta can break various other elements in the system. It’s probably worth backing up your SD card before trying it out."

So-far i'm aware of the following breakage
1: The new libglib2.0-dev package in the repo needed newer pcre packages which were not present in the repo. This resulted in the removal of all glib/gtk related dev packages. I contacted the collbora guys about this one and they have now fixed it.
2: The new collabora webkitgtk source package was building empty packages for the gtk2 variant of webkit breaking any app that used the gtk2 variant. I contacted collabora about this and the offending packages have been removed. If you have already installed them then you should be able to return to the raspbian versions of those packages with the command "apt-get install libwebkitgtk-1.0-0=1.8.1-3.4+rpi1 libjavascriptcoregtk-1.0-0=1.8.1-3.4+rpi1"
3: Someone reported that "python layouts look bad" but gave few details, I have not passed this on to collabora due to the lack of details and the fact it doesn't sound hugely serious (right now the only way i've found of contacting the collabora guys is emailing a guy whose email I pulled from a changelog....).

Anyone aware of any other breakage?
Anyone noticed anything else?

User avatar
DougieLawson
Posts: 35580
Joined: Sun Jun 16, 2013 11:19 pm
Location: Basingstoke, UK
Contact: Website Twitter

Re: Collbora web repo breaks gtk2 webkit

Fri Dec 27, 2013 12:12 am

Looks like you've fixed the problem where apt-get update && apt-get dist-upgrade (on Jessie) gots some wonky key error.

Thanks.
Note: Having anything humorous in your signature is completely banned on this forum. Wear a tin-foil hat and you'll get a ban.

Any DMs sent on Twitter will be answered next month.

This is a doctor free zone.

Nr90
Posts: 216
Joined: Sat Nov 26, 2011 12:39 pm

Re: Collbora web repo breaks gtk2 webkit

Fri Dec 27, 2013 12:30 am

I did a sudo apt-mark hold on the two packages mentioned above and followed the instructions in the blog post.
Both the new Web browser (epiphany) and midori are functional.

gkreidl
Posts: 5998
Joined: Thu Jan 26, 2012 1:07 pm
Location: Germany

Re: Collbora web repo breaks gtk2 webkit

Fri Dec 27, 2013 12:47 am

excerpt from a report of one of my beta testers, who had installed the collabora updates and "web" and whom I have asked to check, if Minimal Kiosk Browser 1.3 is still working after the update:

"Starts up ok, but loads sites slowly. Worst however is downloads seem to be broken, ie. nothing happens. A peculiar cursor sometimes appears instead of the arrow, that seems to make it almost impossible to double click a selection.
... I've just rebooted to try that, but it's now doomed, as after
startx,
Black screen, cursor ok, but can only right click but nothing works. What a pain. ..."

I believe that the only clean way to install new programs (web in this case) that need lots of new packages, is doing a release upgrade to Jessie first, which has most of the new packages already and add or replace only a few special packages that need support for the RPi GPU etc.

I think, we should ask the people, who are responsible for Raspbian, what they think about all this.
Minimal Kiosk Browser (kweb)
Slim, fast webkit browser with support for audio+video+playlists+youtube+pdf+download
Optional fullscreen kiosk mode and command interface for embedded applications
Includes omxplayerGUI, an X front end for omxplayer

plugwash
Forum Moderator
Forum Moderator
Posts: 3435
Joined: Wed Dec 28, 2011 11:45 pm

Re: Collbora web repo breaks gtk2 webkit

Fri Dec 27, 2013 1:19 am

gkreidl wrote:excerpt from a report of one of my beta testers, who had installed the collabora updates and "web" and whom I have asked to check, if Minimal Kiosk Browser 1.3 is still working after the update:

"Starts up ok, but loads sites slowly. Worst however is downloads seem to be broken, ie. nothing happens. A peculiar cursor sometimes appears instead of the arrow, that seems to make it almost impossible to double click a selection.
... I've just rebooted to try that, but it's now doomed, as after
startx,
Black screen, cursor ok, but can only right click but nothing works. What a pain. ..."
:( I wonder what it was about that particular Pi which made the desktop break on upgrade. Was there anything unusual about the system in question.

Having said that i've seen desktop environments broken and had to have their configuration reset after a major upgrade before on plain debian systems or occasionally for no obvious reason whatsoever.
I believe that the only clean way to install new programs (web in this case) that need lots of new packages, is doing a release upgrade to Jessie first, which has most of the new packages already and add or replace only a few special packages that need support for the RPi GPU etc.
That approach has it's pros and cons. On the one hand the software in debian jessie will likey have been tested together more, on the other hand upgrading everything is even more likely to break your custom stuff than upgrading a subset.
I think, we should ask the people, who are responsible for Raspbian,
That would be me mostly, mike is still arround but isn't especially active nowadays.
what they think about all this.
They are kinda stuck between a rock and a hard place, from a long term perspective it makes little sense to invest effort in old versions of software. On the other hand new versions of software often drag a floatilla of dependencies behind them which as you say can cause unexpected breakage. Sometimes that is the fault of the upgraded packages, sometimes it's the fault of the software that depends on them relying on unspecified behaviour.

I do find it slightly strange that the webkit collabora are shipping seems to be newer than the version in wheezy but older than the version in jessie. Of course that may simply be that they used the latest version at the start of the work and have not yet got arround to bringing it forward to the latest versions.

I'm impressed by the speed at which the collabora developer responded to the two serious issues I pushed in their direction, i'm not impressed at the apparent lack of a public bug tracker for problems related to the repository.

Return to “General discussion”